﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SampleData;

namespace XamRibbonCombo
{
    public partial class MainPage : UserControl
    {
      private List<ComboItem> _comboItems = new List<ComboItem>();

        public MainPage()
        {
            InitializeComponent();

          _comboItems.Add(new ComboItem() { ID = 1, Desc = "Item 1" });
            _comboItems.Add(new ComboItem() { ID = 2, Desc = "Item 2" });
            _comboItems.Add(new ComboItem() { ID = 3, Desc = "Item 3" });
        }

        private void ButtonTool_Click(object sender, Infragistics.Controls.Menus.RibbonToolEventArgs e)
        {
          ((XamComboEditorTool)this.igRibbon.Tabs[0].Groups[1].Tools[1]).ItemsSource = _comboItems;
          ((XamComboEditorTool)this.igRibbon.Tabs[0].Groups[1].Tools[1]).DisplayMemberPath = "Desc";

        }

        private void XamComboEditorTool_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

        }
    }

    public class ComboItem
    {
      public int ID { get; set; }
      public string Desc { get; set; }
    }
}
